## alarm-clock-applet 0.2.6

=== debian/changelog ===
alarm-clock-applet (0.2.6-2) unstable; urgency=low

  * debian/watch:
    + Updated with new alarm clock tarball name
  * debian/source/format,
    debian/README.source:
    + Use 3.0 (quilt) for patches and document it in README.source
  * debian/patches/01_update-alarms-eta.patch:
    + return TRUE after alarms_list_update_timer is called to make sure it
      continues to be called every second (LP: #500600)
  * debian/control:
    + No change Standards-Version bump from 3.8.1 to 3.8.3

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sun, 27 Dec 2009 15:30:59 +0800

alarm-clock-applet (0.2.6-1) unstable; urgency=low

  * Initial release (Closes: #531065)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 30 May 2009 23:24:27 +0800
