=== debian/control ===
Source: alarm-clock-applet
Section: gnome
Priority: optional
Maintainer: Chow Loong Jin <hyperair@ubuntu.com>
Uploaders: Johannes H. Jensen <joh@pseudoberries.com>
Build-Depends: debhelper (>= 7.0.50),
               autotools-dev,
               libglib2.0-dev (>= 2.13.0),
               libgtk2.0-dev (>= 2.11.0),
               libgnomevfs2-dev (>= 2.15.4),
               libgconf2-dev (>= 2.8.0),
               libglade2-dev (>= 2.4.0),
               libgstreamer0.10-dev (>= 0.10.2),
               libgnome2-dev (>= 2.8.0),
               libgnomeui-dev (>= 2.8.0),
               libpanel-applet2-dev (>= 2.13.4),
               libnotify-dev (>= 0.3.2),
               gnome-icon-theme (>= 2.15.91)
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/collab-maint/alarm-clock-applet.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/alarm-clock-applet.git
Homepage: http://alarm-clock.pseudoberries.com/

Package: alarm-clock-applet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Alarm Clock applet for the GNOME panel
 Alarm Clock is a fully-featured alarm clock for your GNOME panel.
 It is easy to use yet powerful with support for multiple and
 repeatable alarms, as well as snoozing and a flexible notification
 system.
 .
 Two types of alarms are supported: Alarm Clocks and Timers.
 Notification is done by either playing a sound or launching an
 application.
