=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LDFLAGS=-Wl,--as-needed -Wl,-z,defs

MAKEFILE = $(firstword $(MAKEFILE_LIST))
DEBIAN_DIR = $(dir $(MAKEFILE))
SOURCE_DIR = $(DEBIAN_DIR)/..
VERSION = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | \
	sed -n 's/-.*$$//; s/^Version: //p')
PACKAGE = $(shell sed -n 's/^Source: //p' $(DEBIAN_DIR)/control)

get-orig-source:
	uscan \
		--force-download \
		--download \
		--rename \
		--package=$(PACKAGE) \
		--upstream-version=$(VERSION) \
		--watchfie=$(DEBIAN_DIR)/watch \
		--destdir=.

# disable tests; it requires a running D-Bus session
override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

clean:
	rm -f debian/alarm-clock-applet.1
	dh $@
%:
	dh $@
