## alarm-clock-applet 0.3.1

=== debian/changelog ===
alarm-clock-applet (0.3.1-1) unstable; urgency=low

  * New upstraem release
  * debian/alarm-clock-applet.links:
    + Link alarm-clock-applet.desktop into /etc/xdg/autostart to make it
      start up automatically (Closes: #577276)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Wed, 19 May 2010 00:26:36 +0800

alarm-clock-applet (0.3.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + No change bump of Standards-Version to 3.8.4
    + Update build-deps:
      - Drop libglade, libpanel-applet, libgnomevfs2, libgnome{2,ui}
      - Add libxml2-dev and libunique-dev, intltool
  * debian/patches/01_update-alarms-eta,patch:
    + Dropped, applied upstream
  * debian/(alarm-clock-applet.1, alarm-clock-applet.manpages):
    + Add manpage for alarm-clock-applet, now that the binary is moved to
      /usr/bin.

 -- Chow Loong Jin <hyperair@ubuntu.com>  Wed, 17 Mar 2010 09:02:44 +0800
