=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,10 @@
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
 
+override_dh_auto_install:
+	dh_auto_install
+
 clean:
-	rm -f debian/alarm-clock-applet.1
 	dh $@
 %:
 	dh $@
