=== debian/control ===
Source: alarm-clock-applet
Section: gnome
Priority: optional
Maintainer: Chow Loong Jin <hyperair@debian.org>
Uploaders: Johannes H. Jensen <joh@pseudoberries.com>
Build-Depends: debhelper (>= 7.0.50),
               autotools-dev,
               intltool (>= 0.40),
               libglib2.0-dev (>= 2.16.0),
               libgtk2.0-dev (>= 2.12.0),
               libgconf2-dev (>= 2.8.0),
               libgstreamer0.10-dev (>= 0.10.2),
               libnotify-dev (>= 0.4.1),
               gnome-icon-theme (>= 2.15.91),
               libxml2-dev,
               libunique-dev,
               libappindicator-dev (>= 0.0.7)
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/alarm-clock-applet.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/alarm-clock-applet.git
Homepage: http://alarm-clock.pseudoberries.com/

Package: alarm-clock-applet
Architecture: any
Depends: gstreamer0.10-plugins-base,
         gstreamer0.10-gconf,
         ${shlibs:Depends}, ${misc:Depends}
Description: Alarm Clock applet
 Alarm Clock is a fully-featured alarm clock which resides in the notification
 area. It is easy to use yet powerful with support for multiple and repeatable
 alarms, as well as snoozing and a flexible notification system.
 .
 Two types of alarms are supported: Alarm Clocks and Timers.
 Notification is done by either playing a sound or launching an
 application.
