=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 		--rename \
 		--package=$(PACKAGE) \
 		--upstream-version=$(VERSION) \
-		--watchfie=$(DEBIAN_DIR)/watch \
+		--watchfile=$(DEBIAN_DIR)/watch \
 		--destdir=.
 
 # disable tests; it requires a running D-Bus session
@@ -26,8 +26,17 @@
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
 
-override_dh_auto_install:
-	dh_auto_install
+override_dh_auto_configure:
+	dh_auto_configure -- \
+		--enable-appindicator
+
+# generate a desktop file for installing to /etc/xdg/autostart/
+override_dh_install: debian/alarm-clock-applet.desktop
+	dh_install
+
+debian/alarm-clock-applet.desktop: debian/alarm-clock-applet/usr/share/applications/alarm-clock-applet.desktop
+	awk '/^Exec=/ { $$0 = $$0 " --hidden"; } {print;}' \
+		$< > $@
 
 clean:
 	dh $@
