## alarm-clock-applet 0.3.3

=== debian/changelog ===
alarm-clock-applet (0.3.3-1) unstable; urgency=low

  * [05ffad2] New upstream bugfix release:
    - Automatically detect daylight savings time (LP: #290733)
    - Let the WM decide the initial position of the list window (LP: #800635)
    - Check that media player was created successfully (LP: #823585)
    - Don't show notifications when alarms are stopped/snoozed (LP: #908636)
    - Update timestamp when type is changed for active alarms (LP: #885059)
    - Use segment seeks to prevent playback delays when looping (LP: #977110)
    - Enable alarm when closing the Edit alarm dialog (LP: #824337)
  * [c6f6846] Drop upstreamed Set-appindicator-title.patch
  * [6901288] Bump debhelper compat level to 9 for buildflags
  * [224a210] Drop redundant clean rule
  * [600f7b3] Don't override LDFLAGS directly.
    Use DEB_LDFLAGS_MAINT_APPEND instead to append --as-needed stuff, as per the
    dpkg-buildflags manpage.

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 04 Jun 2012 04:38:46 +0800
