=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chow Loong Jin <hyperair@debian.org>
 Uploaders: Johannes H. Jensen <joh@pseudoberries.com>
-Build-Depends: debhelper (>= 7.0.50),
+Build-Depends: debhelper (>= 9),
                autotools-dev,
                intltool (>= 0.40),
                libglib2.0-dev (>= 2.16.0),
