=== debian/watch ===
version=3

https://launchpad.net/alarm-clock/+download http://launchpad.net/alarm-clock/trunk/.*/\+download/alarm-clock-applet-(.+).tar.gz
