## alarm-clock-applet 0.3.4

=== debian/changelog ===
alarm-clock-applet (0.3.4-1) unstable; urgency=medium

  * [0499cae] Fix debian/watch.
    Launchpad URLs have changed again.
  * [3becb10] Imported Upstream version 0.3.4
  * [9a0d479] Update gstreamer deps
  * [74a4d3e] No-change bump of Standards-Version to 3.9.6
  * [6ddde20] Improve short description

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 19 May 2015 13:51:08 +0800
