=== debian/control ===
--- 
+++ 
@@ -9,23 +9,23 @@
                libglib2.0-dev (>= 2.16.0),
                libgtk2.0-dev (>= 2.12.0),
                libgconf2-dev (>= 2.8.0),
-               libgstreamer0.10-dev (>= 0.10.2),
+               libgstreamer1.0-dev,
                libnotify-dev (>= 0.4.1),
                gnome-icon-theme (>= 2.15.91),
                libxml2-dev,
                libunique-dev,
                libappindicator-dev (>= 0.0.7)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Vcs-Git: git://git.debian.org/git/collab-maint/alarm-clock-applet.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/alarm-clock-applet.git
 Homepage: http://alarm-clock.pseudoberries.com/
 
 Package: alarm-clock-applet
 Architecture: any
-Depends: gstreamer0.10-plugins-base,
-         gstreamer0.10-gconf,
+Depends: gstreamer1.0-plugins-base,
+         gstreamer1.0-plugins-good,
          ${shlibs:Depends}, ${misc:Depends}
-Description: Alarm Clock applet
+Description: alarm clock panel indicator
  Alarm Clock is a fully-featured alarm clock which resides in the notification
  area. It is easy to use yet powerful with support for multiple and repeatable
  alarms, as well as snoozing and a flexible notification system.
