=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export LDFLAGS=-Wl,--as-needed -Wl,-z,defs
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,defs
 
 MAKEFILE = $(firstword $(MAKEFILE_LIST))
 DEBIAN_DIR = $(dir $(MAKEFILE))
@@ -38,7 +38,5 @@
 	awk '/^Exec=/ { $$0 = $$0 " --hidden"; } {print;}' \
 		$< > $@
 
-clean:
-	dh $@
 %:
 	dh $@
