=== debian/watch ===
version=3

https://launchpad.net/alarm-clock/+download .*/alarm-clock-applet-(.+).tar.gz
