## alarm-clock-applet 0.4.1

=== debian/changelog ===
alarm-clock-applet (0.4.1-6) unstable; urgency=medium

  * [b5867aa] Drop gnome-icon-theme build-dep (Closes: #1117079)
  * [c0c1ef7] Drop gnome-common build-dep.
  * [54b944b] d/copyright: Drop FSF address.

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 06 Oct 2025 11:47:26 +0800

alarm-clock-applet (0.4.1-5) unstable; urgency=medium

  * [eeea0ab] Drop Recommends: alarm-clock-applet-gconf-migration
    (Closes: #1039535)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 27 Jun 2023 13:03:26 +0800

alarm-clock-applet (0.4.1-4) unstable; urgency=medium

  * [5525748] Drop gconf-migration bits
    gconf is getting removed from Debian (Closes: #886087)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 26 Jun 2023 11:20:27 +0800

alarm-clock-applet (0.4.1-3) unstable; urgency=medium

  * [03c7bb1] Add suggests: playerctl

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 15 Feb 2023 20:56:06 +0800

alarm-clock-applet (0.4.1-2) unstable; urgency=medium

  * [5cbc398] Add copyright info for translations

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 06 Feb 2023 11:13:29 +0800

alarm-clock-applet (0.4.1-1) unstable; urgency=medium

  * [41a323e] Update debian/watch to point to github
  * [e36c624] New upstream version 0.4.1
  * [10ff49b] d/rules: Clean up old overrides and get-orig-source target
  * [3f1ba07] d/control: Update build-deps
  * [d9c1625] Drop autostart desktop file
  * [d160284] d/copyright: Update copyright years and fix typo
  * [691b625] Patch to drop debian subdirectory from cmake buildsys
  * [4219098] Patch to move gconf schemas into /usr/share/gconf/schemas
  * [ab16f2f] d/control: Update homepage
  * [d2680a7] Backport some bugfixes from upstream
  * [85a2e72] Split gconf migration into its own package
  * [1ed8a4f] Drop downstream manpages

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 04 Feb 2023 00:26:25 +0800

alarm-clock-applet (0.3.4-2) unstable; urgency=medium

  * [b022bac] Bump debhelper compat and move to debhelper-compat build-dep
  * [8af79cf] Bump Standards-Version to 4.4.1
  * [cfb3bc2] Update Vcs-* addresses
  * [be5d9cf] Build-dep on gnome-common
  * [70e9089] Drop autotools-dev build-dep, no longer needed with dh compat 12

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 31 Dec 2019 12:09:18 +0800
