=== debian/control ===
Source: alarm-clock-applet
Section: gnome
Priority: optional
Maintainer: Chow Loong Jin <hyperair@debian.org>
Uploaders: Johannes H. Jensen <joh@pseudoberries.com>
Build-Depends: debhelper-compat (= 12),
               cmake (>= 3.10),
               intltool (>= 0.40),
               libgtk-3-dev,
               libgstreamer1.0-dev,
               libnotify-dev,
               libayatana-appindicator3-dev,
               libglib2.0-dev,
               libxml2-dev
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/debian/alarm-clock-applet.git
Vcs-Browser: https://salsa.debian.org/debian/alarm-clock-applet
Homepage: https://alarm-clock-applet.github.io

Package: alarm-clock-applet
Architecture: any
Depends: gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         ${shlibs:Depends}, ${misc:Depends}
Suggests: playerctl
Description: alarm clock panel indicator
 Alarm Clock is a fully-featured alarm clock which resides in the notification
 area. It is easy to use yet powerful with support for multiple and repeatable
 alarms, as well as snoozing and a flexible notification system.
 .
 Two types of alarms are supported: Alarm Clocks and Timers.
 Notification is done by either playing a sound or launching an
 application.
