=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,defs

override_dh_auto_configure:
	dh_auto_configure -- -D ENABLE_GCONF_MIGRATION=OFF

# disable tests; it requires a running D-Bus session
override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

%:
	dh $@
